molly-guard_0.7.1_all.deb


Advertisement

Description

molly-guard - protects machines from accidental shutdowns/reboots

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename molly-guard_0.7.1_all.deb
Package name molly-guard
Package version 0.7.1
Package release -
Package architecture all
Package type deb
Category admin implemented-in::shell interface::commandline network::server protocol::ssh role::program scope::utility
Homepage -
License -
Maintainer Simó Albert i Beltran <sim6@probeta.net>
Download size 13.86 KB
Installed size 56.00 KB
The package installs a shell script that overrides the existing
shutdown/reboot/halt/poweroff/coldreboot/pm-hibernate/pm-suspend* commands
and first runs a set of scripts, which all have to exit successfully,
before molly-guard invokes the real command.
One of the scripts checks for existing SSH sessions. If any of the four
commands are called interactively over an SSH session, the shell script
prompts you to enter the name of the host you wish to shut down. This should
adequately prevent you from accidental shutdowns and reboots.
molly-guard diverts the real binaries to /lib/molly-guard/.  You can bypass
molly-guard by running those binaries directly.

Alternatives

Package Version Architecture Repository
molly-guard_0.7.1_all.deb 0.7.1 all Debian Main
molly-guard - - -

Requires

Name Value
procps -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package molly-guard_0.7.1_all.deb
Source Package molly-guard

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install molly-guard deb package:
    # sudo apt-get install molly-guard

Files

Path
/etc/molly-guard/rc
/etc/molly-guard/run.d/10-print-message
/etc/molly-guard/run.d/30-query-hostname
/lib/molly-guard/molly-guard
/sbin/coldreboot
/sbin/halt
/sbin/pm-hibernate
/sbin/pm-suspend
/sbin/pm-suspend-hybrid
/sbin/poweroff
/sbin/reboot
/sbin/shutdown
/usr/share/doc/molly-guard/changelog.gz
/usr/share/doc/molly-guard/copyright
/usr/share/lintian/overrides/molly-guard
/usr/share/man/man8/molly-guard.8.gz

Changelog

2017-08-06 - Simó Albert i Beltran <sim6@probeta.net>
molly-guard (0.7.1) unstable; urgency=medium
* Pass through "reboot -f" command (Closes: #870891)
2017-07-29 - Simó Albert i Beltran <sim6@probeta.net>
molly-guard (0.7) unstable; urgency=medium
* New maintainer (Closes: #859596)
* Set https in Format field at debian/copyright
* Update Standards-Version
* Hostname case-insensitive (Closes: #856170)
* Update copyright holders of 30-query-hostname
* Update copyright holders at debian/copyright
* Pass through "halt -w" and "halt -f" commands (Closes: #867331)
2016-08-15 - Francois Marier <francois@debian.org>
molly-guard (0.6.4) unstable; urgency=medium
* Guard against non-existing /lib/molly-guard in postinst (closes: #834152)
* Bump Standards-Version up to 3.9.8
2016-01-24 - Francois Marier <francois@debian.org>
molly-guard (0.6.3) unstable; urgency=medium
* Move pm-utils diverts to /usr/sbin/ (closes: #812535)
* Disable pm-utils diverts until #812545 is fixed
* Use https for Vcs-Git URL (lintian warning)
2015-08-31 - Francois Marier <francois@debian.org>
molly-guard (0.6.2) unstable; urgency=medium
* Add missing diverts for kexec-tools and pm-utils (closes: #797531)
2015-08-29 - Francois Marier <francois@debian.org>
molly-guard (0.6.1) unstable; urgency=medium
* Upload to unstable
* Run wrap-and-sort
2015-08-23 - Francois Marier <francois@debian.org>
molly-guard (0.6.0) experimental; urgency=medium
* Convert to a Debian native package
* Merge upstream and Debian changelogs
* Switch to a minimal debian/rules
* Rely on dh_installman to compress the manpage
* Add support for mosh (closes: #705397)
* Add support for coldreboot from kexec-tools (closes: #735871)
Thanks to Daniel Baumann for the patch!
* Add support for quotes in shutdown message (closes: #699711)
* Add config option to require fully-qualified hostnames (closes: #658282)
Thanks to Andrew Pollock for the patch!
* Add support for the pm-utils commands (closes: #663655)
2015-08-23 - Francois Marier <francois@debian.org>
molly-guard (0.5.2-1) unstable; urgency=medium
[ Josh Triplett ]
* New upstream release.
* Skip molly-guard's protection logic if we don't have the "tty" command to
determine the terminal.  Avoids a spurious failure when invoked without
/usr mounted. (Closes: #771572)
[ Francois Marier ]
* Take over maintenance with madduck's blessing
* Bump Standards-Version to 3.9.6
* Bump debhelper version to 9
* Install lintian override with dh_lintian
* Use standard template in postrm and preinst scripts
* Switch to machine-readable copyright file and add missing copyright holders
* Disable pristine-tar in debian/gbp.conf
* Add debian/source/format
* Update VCS URLs
* Fix the lintian overrides
2014-11-07 - Josh Triplett <josh@joshtriplett.org>
molly-guard (0.5.1-1) unstable; urgency=low
* New upstream release.
* Fix and rework prefix and etcdir handling to not embed the build directory
in the binary. (Closes: #768418)

See Also

Package Description
mom_0.5.12-1_all.deb Dynamically manage system resources on virtualization hosts
mon-client_1.2.0-2_all.deb modules for interfacing with the mon package
mon-contrib_1.0+dfsg-4_i386.deb contributed tools, monitors and alert for mon
mon_1.3.3-2_i386.deb monitor hosts/services/whatever and alert about problems
mona_1.4-17-1+b1_i386.deb theorem prover based on automata
monajat-applet_4.1-2_all.deb Islamic supplications tray applet
monajat-data_4.1-2_all.deb Islamic supplications database
monajat-mod_4.1-2_all.deb Islamic supplications console utility
monajat-screenlet_4.1-2_all.deb Islamic supplications screenlet
mongo-tools_3.4.14-4_i386.deb collection of tools for administering MongoDB servers
mongodb-dev_1.1.3-3_all.deb MongoDB C++ Driver (transitional package)
mongoose_5.4.0+dfsg-1_i386.deb graph partitioning tool that can quickly compute edge cuts (executable)
mongrel2-core_1.12.0-2_i386.deb programming language agnostic web server (binaries)
mongrel2-run_1.12.0-2_all.deb programming language agnostic web server
monitoring-plugins-basic_2.2-6_i386.deb Plugins for nagios compatible monitoring systems (basic)
Advertisement
Advertisement